libmwaw_applepict1::Region Class Reference

Internal and low level: class used to read/store a picture region. More...

## Public Member Functions
| Region ()
bool | read (MWAWInputStream &input)
| tries to read the data

## Protected Attributes
MWAWBox2i | m_box
| the bounding box
std::vector< MWAWVec2i > | m_points
| the set of points which defines the mask

## Friends
std::ostream & | operator<< (std::ostream &o, Region const &f)
| operator << for a Region

## Detailed Description

Internal and low level: class used to read/store a picture region.

A region is formed by bounding box followed by an array of bits which indicate which defines a mask

## Constructor & Destructor Documentation

## ◆ Region()

libmwaw_applepict1::Region::Region | ( |  | ) |
| inline

Referenced by operator<<.

## Member Function Documentation

## ◆ read()

bool libmwaw_applepict1::Region::read | ( | MWAWInputStream & | input | ) |
| inline

tries to read the data

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Region const & | f )
| friend

operator << for a Region

## Member Data Documentation

## ◆ m_box

MWAWBox2i libmwaw_applepict1::Region::m_box
| protected

the bounding box

Referenced by operator<<, read(), and Region().

## ◆ m_points

std::vector<MWAWVec2i> libmwaw_applepict1::Region::m_points
| protected

the set of points which defines the mask

Referenced by operator<<, read(), and Region().

The documentation for this class was generated from the following file:

- MWAWPictMac.cxx